Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class RIFFWriter

    java.lang.Object
      java.io.OutputStream
          com.sun.media.sound.RIFFWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

    public class RIFFWriter

extends java.io.OutputStream

Resource Interchange File Format (RIFF) stream encoder.

Author:
  Karl Helgason

Constructor Summary
`RIFFWriter(java.io.File file, java.lang.String format)`
`RIFFWriter(java.io.OutputStream stream, java.lang.String format)`
`RIFFWriter(java.lang.String name, java.lang.String format)`

Method Summary
`void` | `close()`
`long` | `getFilePointer()`
`boolean` | `getWriteOverride()`
`void` | `seek(long pos)`
`void` | `setWriteOverride(boolean writeoverride)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`
`void` | `writeByte(int b)`
`RIFFWriter` | `writeChunk(java.lang.String format)`
`void` | `writeInt(int b)`
`RIFFWriter` | `writeList(java.lang.String format)`
`void` | `writeLong(long b)`
`void` | `writeShort(short b)`
`void` | `writeString(java.lang.String string)`
`void` | `writeString(java.lang.String string, int len)`
`void` | `writeUnsignedByte(int b)`
`void` | `writeUnsignedInt(long b)`
`void` | `writeUnsignedShort(int b)`

Methods inherited from class java.io.OutputStream
`flush, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RIFFWriter

    public RIFFWriter(java.lang.String name,
                      java.lang.String format)
               throws java.io.IOException

Throws:
  `java.io.IOException`

### RIFFWriter

    public RIFFWriter(java.io.File file,
                      java.lang.String format)
               throws java.io.IOException

Throws:
  `java.io.IOException`

### RIFFWriter

    public RIFFWriter(java.io.OutputStream stream,
                      java.lang.String format)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### seek

    public void seek(long pos)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### setWriteOverride

    public void setWriteOverride(boolean writeoverride)

### getWriteOverride

    public boolean getWriteOverride()

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Specified by:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Overrides:
    `write` in class `java.io.OutputStream`
  Throws:
    `java.io.IOException`

### writeList

    public RIFFWriter writeList(java.lang.String format)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeChunk

    public RIFFWriter writeChunk(java.lang.String format)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeString

    public void writeString(java.lang.String string)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeString

    public void writeString(java.lang.String string,
                            int len)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeByte

    public void writeByte(int b)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeShort

    public void writeShort(short b)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeInt

    public void writeInt(int b)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLong

    public void writeLong(long b)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeUnsignedByte

    public void writeUnsignedByte(int b)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeUnsignedShort

    public void writeUnsignedShort(int b)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeUnsignedInt

    public void writeUnsignedInt(long b)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD